## calloc

#### OS/161 Reference Manual

### Name

calloc - allocate and clear memory

### Library

Standard C Library (libc, -lc)

### Synopsis

#include <stdlib.h>
void *
calloc(size_t number, size_t size);

### Description

calloc allocates number*size bytes of memory, zeros it, and returns a pointer to it. It is exactly equivalent to malloc(number*size) followed by bzero.

### Return Values

calloc returns a pointer to the memory allocated. If memory cannot be obtained, NULL is returned.

### See Also

malloc, realloc, free